Bug 579720 - Review Request: json-c - A JSON implementation in C
Summary: Review Request: json-c - A JSON implementation in C
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 579721
TreeView+ depends on / blocked
 
Reported: 2010-04-06 11:29 UTC by Susi Lehtola
Modified: 2010-04-27 02:25 UTC (History)
3 users (show)

Fixed In Version: json-c-0.9-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-26 23:23:48 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2010-04-06 11:29:03 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/json-c.spec

SRPM URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/json-c-0.9-1.fc12.src.rpm

Description:
JSON-C implements a reference counting object model that allows you to easily
construct JSON objects in C, output them as JSON formatted strings and parse
JSON formatted strings back into the C representation of JSON objects.

Comment 1 Susi Lehtola 2010-04-06 11:37:05 UTC
rpmlint output:
json-c.x86_64: W: shared-lib-calls-exit /usr/lib64/libjson.so.0.0.1 exit@GLIBC_2.2.5
json-c-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.

These are not problematic.

Comment 2 Martin Gieseking 2010-04-06 18:26:20 UTC
Hi Jussi,

here's my formal review. The package looks fine so far, just add the missing Requires: pkgconfig to the -devel package. 


$ rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm
json-c.x86_64: W: shared-lib-calls-exit /usr/lib64/libjson.so.0.0.1 exit@GLIBC_2.2.5
json-c-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings can be ignored.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - MIT license 

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum json-c-0.9.tar.gz*
    3a13d264528dcbaf3931b0cede24abae  json-c-0.9.tar.gz
    3a13d264528dcbaf3931b0cede24abae  json-c-0.9.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build for F-13:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2097844

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: Packages storing shared library files must call ldconfig in %post and %postun.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[X] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
[+] MUST: .so without suffix must go in a -devel package.
[+] MUST: devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. 
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg. 
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin ...

Comment 3 Susi Lehtola 2010-04-06 18:52:38 UTC
(In reply to comment #2)
> Hi Jussi,
> 
> here's my formal review. The package looks fine so far, just add the missing
> Requires: pkgconfig to the -devel package. 

RPM on Fedora >= 11 picks up the pkgconfig dependency automatically, and this item was removed some time ago. See

http://lists.fedoraproject.org/pipermail/devel/2010-March/132205.html

and

http://fedoraproject.org/wiki/Packaging/Guidelines#PkgconfigFiles

Comment 4 Susi Lehtola 2010-04-06 18:54:15 UTC
Anyway, I've put in the pkgconfig require in -devel for old time's sake (I might build on EPEL).

Anything else?

Comment 5 Martin Gieseking 2010-04-06 19:02:55 UTC
(In reply to comment #3)
> RPM on Fedora >= 11 picks up the pkgconfig dependency automatically, and this
> item was removed some time ago.

Thanks for the hint. I missed this change and I will update my template.

(In reply to comment #4)
> Anything else?    

No, everything else looks fine.

----------------
Package APPROVED
----------------

Comment 6 Susi Lehtola 2010-04-06 19:08:08 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: json-c
Short Description: A JSON implementation in C
Owners: jussilehtola
Branches: F-12 F-13 EL-5
InitialCC:

Comment 7 Kevin Fenzi 2010-04-08 02:47:27 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-04-08 16:40:40 UTC
json-c-0.9-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/json-c-0.9-1.fc12

Comment 9 Fedora Update System 2010-04-08 16:40:45 UTC
json-c-0.9-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/json-c-0.9-1.fc13

Comment 10 Fedora Update System 2010-04-08 16:40:51 UTC
json-c-0.9-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/json-c-0.9-1.el5

Comment 11 Fedora Update System 2010-04-09 04:08:38 UTC
json-c-0.9-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update json-c'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/json-c-0.9-1.fc13

Comment 12 Fedora Update System 2010-04-09 22:57:02 UTC
json-c-0.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update json-c'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/json-c-0.9-1.el5

Comment 13 Fedora Update System 2010-04-10 10:13:56 UTC
json-c-0.9-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update json-c'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/json-c-0.9-1.fc12

Comment 14 Fedora Update System 2010-04-26 23:23:43 UTC
json-c-0.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-27 02:12:44 UTC
json-c-0.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-04-27 02:25:02 UTC
json-c-0.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.